import { BaseContractMethod, Contract, InterfaceAbi, Transaction } from "ethers";
import { NetworkCore, NetworkBased } from "../../core";
export type EvmType2TxParams = {
    type: number;
    chainId: number;
    nonce: number;
    maxFeePerGas: bigint;
    maxPriorityFeePerGas: bigint;
};
export declare abstract class Evm extends NetworkBased {
    protected _getType2TxParams(sender: string): Promise<EvmType2TxParams>;
    private _roundToGwei;
}
export declare abstract class EvmContract extends Evm {
    constructor(network: NetworkCore, address: string);
    protected _address: string;
    protected _getContract(abi: InterfaceAbi): Contract;
    protected _getTx(sender: string, value: bigint, method: BaseContractMethod, ...params: any[]): Promise<Transaction>;
}
//# sourceMappingURL=evm.d.ts.map